Skip to content

Get 'GdprConfiguration'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired

The id of the organization the instance belongs to. This model has a single instance per organization, so the endpoint resolves it by organization rather than by the instance's own id.

GET
/configurations/gdprconfiguration/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/configurations/gdprconfiguration/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
business_relation_ended_daysinteger or null, (int32), <= 2147483647
mypages_inactive_daysinteger or null, (int32), <= 2147483647
subtenant_connection_expired_daysinteger or null, (int32), <= 2147483647
report_result_retention_daysinteger or null, (int32), <= 2147483647
mypages_inactive_warning_daysArray of integers or null, (int32), unique
accounting_records_retention_daysinteger or null, (int32), <= 2147483647
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "business_relation_ended_days": 2147483647, "mypages_inactive_days": 2147483647, "subtenant_connection_expired_days": 2147483647, "report_result_retention_days": 2147483647, "anonymous_errand_link_retention_days": 2147483647, "mypages_inactive_warning_days": [ 0 ], "accounting_records_retention_days": 2147483647 }